public static interface PahoEndpointBuilderFactory.PahoBuilders
| Modifier and Type | Method and Description |
|---|---|
default PahoEndpointBuilderFactory.PahoEndpointBuilder |
paho(String path)
Paho (camel-paho)
Communicate with MQTT message brokers using Eclipse Paho MQTT Client.
|
default PahoEndpointBuilderFactory.PahoEndpointBuilder |
paho(String componentName,
String path)
Paho (camel-paho)
Communicate with MQTT message brokers using Eclipse Paho MQTT Client.
|
default PahoEndpointBuilderFactory.PahoEndpointBuilder paho(String path)
paho:topic
Path parameter: topic (required)
Name of the topicpath - topicdefault PahoEndpointBuilderFactory.PahoEndpointBuilder paho(String componentName, String path)
paho:topic
Path parameter: topic (required)
Name of the topiccomponentName - to use a custom component name for the endpoint
instead of the default namepath - topicApache Camel